*{
    margin: 0;
    padding: 0;
}
body{
    padding-left: 3rem;
    font-family: "HSBC Univers Next","Arial","PingFang SC","Lantinghei SC","Heiti SC","sans-serif";
    text-align: left;
    color: #333;
    text-align: left;
}


.container-arriba{
    display: flex;
    padding-top: 3rem;
    padding-bottom: 3rem;


}
.cuenta-personal h3{
    font-weight: normal;
    text-align: left;
    line-height: 1.2;
    display: block;
    font-size: 1.75rem;
    font-style: normal;
    font-weight: 300;
    margin-bottom: 1rem;
}
.container-arriba h2{
    font-weight: normal;
    margin-bottom: 2rem;
    line-height: 1.2;
    display: block;
    font-weight: 300;
    font-size: 1.75rem;
}
.cuadro-rojo{
    margin-top: .2rem;
    position: relative;
    width: 5px;
    height: 18px;
    border: solid 1px red;
    background-color: red;
    margin-right: 1rem;

}

.cc-separador{
    width: 1px;
    background-color: #333;
    display: block;
    margin-right: 1rem;
    
}
.arriba-der p{
    margin-bottom: 3rem;
}
.arriba-der button{
    padding: 15px 20px;
    margin: 0rem 1.25rem 1.25rem 0rem;
    background-color: #db0011;
    border-color: #db0011;
    color: white;
    border-width: 1px;
    border-style: solid;
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    font-variant: normal;
    cursor: pointer;
}
.arriba-der button:hover{
    background-color: #af000d;
}
.imagenes img{
    width: 610px;
    margin-right: 1rem;
}

.cuenta-personal p{
    font-size: 1rem;
    font-family: "HSBC Univers Next","Arial","PingFang SC","Lantinghei SC","Heiti SC","sans-serif";
    font-style: normal;
    font-weight: 400;
    line-height: 1.5;
}

.container-cuentas{
    display: flex;
    color: #333;
    margin-top: 2rem;
    margin-bottom: 2rem;
    
}

.container-cuentas h3{
    line-height: 1.2;
    display: block;
    font-size: 1.75rem;
}

.container-cuentas p{
    font-weight: 400;
    line-height: 1.5;
    width: 580px;
    font-size: 1rem;
    margin-bottom: 10px;
}
.cuenta-izq{
    margin-right: 3rem;
}
.titulo2{
    display: flex;
    position: absolute;
    font-weight: 400;
    line-height: 1.2;
    position: relative;
    margin-bottom: 2rem;
}
.icons{
    display: grid;
    grid-template-columns: repeat(4, 280px);
    gap: 2rem;
    font-weight: none;
    font-size: 1rem;
}

.icons img {
    margin-bottom: 2rem;
}

/*Tarea 15*/
.main-content {
    background-color: #fff; /* Fondo blanco para el contenido principal */
    padding: 2rem;
    margin-bottom: 1rem; /* Separación entre secciones */
    flex: 1;
}

.titulo-con-cuadro {
    display: flex;
    align-items: center;
}

.cuadro-rojo {
    margin-top: 0.2rem;
    width: 5px;
    height: 18px;
    border: solid 1px red;
    background-color: red;
    margin-right: 1rem; /* Ajusta el espacio entre el cuadro y el título */
}


.volver-arriba {
    margin-top: 20px; /* Ajusta según sea necesario para dar espacio entre el botón y el enlace */
}

.volver-arriba a {
    color: #808080; /* Color gris para el texto */
    text-decoration: none; /* Opcional: elimina el subrayado del enlace */
}

.volver-arriba a:hover {
    text-decoration: underline; /* Opcional: añade subrayado al pasar el ratón por encima */
}

.separador {
    border: 0; /* Esto elimina el borde por defecto */
    height: 1px; /* Esto define la altura de la línea */
    background-color: #ccc; /* Esto define el color de la línea, puedes ajustarlo a lo que prefieras */
    margin-top: 20px; /* Esto añade espacio antes de la línea */
    margin-bottom: 20px; /* Esto añade espacio después de la línea */
  }
  
.main-content p {
    margin-bottom: 1rem;
    font-size: 1rem;
    font-family: "HSBC Univers Next","Arial","PingFang SC","Lantinghei SC","Heiti SC","sans-serif";
    font-style: normal;
    font-weight: 400;
    line-height: 1.5;
}

.main-content h2, h1{
    font-weight: normal;
    margin-bottom: 1rem;
    line-height: 1.2;
    display: block;
    font-weight: 300;
    font-size: 1.75rem;
}

.main-content button {
    background-color: #db0011;
    color: #fff;
    border: none;
    padding: 0.5rem 1rem;
    cursor: pointer;
    margin-bottom: 1rem;
}

.main-content button:hover {
    background-color: #af000d; /* Color al pasar el mouse */
}

/* Estilos de los iconos sociales */
.social-icons {
    text-align: right; /* Centrar los iconos si se prefiere */
    padding: 1rem 0;
}

.social-icons li {
    display: inline-block;
    margin-right: 1rem;
}

.social-icons li:last-child {
    margin-right: 0;
}

.social-icons img {
    width: 30px;
    height: 30px;
}

p {
    margin-top: 1rem; /* Espacio antes del párrafo */
    margin-bottom: 1rem; /* Espacio después del párrafo */
    font-size: 1rem;
    font-family: "HSBC Univers Next","Arial","PingFang SC","Lantinghei SC","Heiti SC","sans-serif";
    font-style: normal;
    font-weight: 400;
    line-height: 1.5;
  }
  

.footer {
    width: 100%;
    margin-bottom: auto; /* Esto empujará el footer hacia abajo */
    font-size: 1rem;
    font-family: "HSBC Univers Next","Arial","PingFang SC","Lantinghei SC","Heiti SC","sans-serif";
    font-style: normal;
    font-weight: 400;
    line-height: 1.5;
  }
  
  .footer-gray {
    background-color: #474747; /* Ajusta según sea necesario */
    padding: 20px 300px; /* 20px de padding vertical y 40px de padding horizontal */
    display: grid;
    color: white;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
    text-align: left;
    font-size: 1rem;
  }

  .card1, .card2, .card3 {
    border-right: 1px solid white; /* Agrega un borde derecho blanco a las tres primeras columnas */
    
  }

  .card1 img, .card2 img, .card3 img, .card4 img {
    margin-right: 10px; /* Añade espacio entre la imagen y el texto */
    width: 20px; /* Establece un ancho fijo para la imagen */
    height: auto; /* Ajusta la altura automáticamente para mantener la proporción */
  }
  
  .footer-gray a {
    color: white; /* Asegura que el texto de los enlaces sea blanco */
    text-decoration: none; /* Elimina el subrayado por defecto */
  }
  
  .footer-gray a:hover {
    text-decoration: underline;
    text-decoration-color: white; /* Hace que el subrayado sea blanco */
  }
  
  .footer-dark {
    background-color: #000000;
    color: white;
    text-align: right;
    padding: 30px;
    position: relative; /* Cambiado de absolute a relative */
  }

  .footer-dark a {
    color: white; /* Asegura que el texto de los enlaces sea blanco */
    text-decoration: none; /* Elimina el subrayado por defecto */
  }
  
  .footer-dark a:hover {
    text-decoration: underline;
    text-decoration-color: white; /* Hace que el subrayado sea blanco */
  }

  .footer-links {
    text-align: left; /* Alinea los enlaces a la izquierda */
}

.footer-links a {
    color: white; /* Color de texto de los enlaces blanco */
    margin-right: 20px; /* Espacio entre los enlaces */
    text-decoration: none; /* Elimina el subrayado de los enlaces */
}

.footer-links a:hover {
    text-decoration: underline; /* Añade subrayado al pasar el ratón sobre los enlaces */
}
